Page MenuHomePhabricator

Project-neutral interface (for instance use "{{SITENAME}}" instead of "Wikipedia")
Closed, DuplicatePublic

Description

By usage of "{{SITENAME}}" rather than "Wikipedia" in the messages, etc.


Version: master
Severity: normal
URL: https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Articlefeedbackv5-error-abuse

Details

Reference
bz38349

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 1:08 AM
bzimport added projects: ArticleFeedbackv5, I18n.
bzimport set Reference to bz38349.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Jul 12 2012, 1:08 AM

All "wikipedia" occurrences have already been replaces by {{SITENAME}}

There are a couple of links to wikipedia-pages (basically help-pages with more info on AFTv5), but I assume that's ok?

Nice!

(In reply to comment #1)

There are a couple of links to wikipedia-pages (basically help-pages with
more
info on AFTv5), but I assume that's ok?

No it's not, help pages must be on mediawiki.org, or Meta if they have Wikimedia-specific unavoidable things.

Adding many blockers of bug 38638 to the list of "easy" bugs, to mark them as candidates for [[mw:Google Code-in]] tasks (gci2013). If you think this bug is not suitable, remove the keyword.

Change 109473 had a related patch set uploaded by Arav93:
Renamed"{{SITENAME}}" to "wikipedia" in ArticleFeedbackv5.i18n.php

https://gerrit.wikimedia.org/r/109473

[removing "easy" keyword - not recommended for a new contributor as AFT might take a while to get a patch review, nowadays.]

[Lowering priority to reflect reality, as AFTv5 is not very actively being worked on anymore.]

Change 109473 abandoned by Siebrand:
Renamed"{{SITENAME}}" to "wikipedia" in ArticleFeedbackv5.i18n.php

Reason:
Abandoned at request of Nemo bis.

https://gerrit.wikimedia.org/r/109473

Jdforrester-WMF closed this task as Declined.Mar 5 2015, 10:03 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

All development work on AbuseFilter v.5 (and indeed, previous versions) is halted. The project is archived, so having open tasks is inappropriate. Consequently, I'm closing all tasks.

SamanthaNguyen reopened this task as Open.Jan 5 2017, 10:28 AM
SamanthaNguyen added subscribers: ashley, SamanthaNguyen.

Err, not sure to make T41578 a goal task and this a sub task or to close this as a duplicate (so I reopened just in case). Thoughts @Nemo_bis and @ashley?

ashley added a comment.Jan 5 2017, 5:39 PM

Err, not sure to make T41578 a goal task and this a sub task or to close this as a duplicate (so I reopened just in case). Thoughts @Nemo_bis and @ashley?

I think just having T41578 open is sufficient enough. I mean, I think of the issue as a single issue ("AFTv5 i18n strings contain hardcoded references to the English Wikipedia and its pages") -- you can further split that issue into various sub-issues if you'd so desire, but I don't think that's necessary.

Err, not sure to make T41578 a goal task and this a sub task or to close this as a duplicate (so I reopened just in case). Thoughts @Nemo_bis and @ashley?

I think just having T41578 open is sufficient enough. I mean, I think of the issue as a single issue ("AFTv5 i18n strings contain hardcoded references to the English Wikipedia and its pages") -- you can further split that issue into various sub-issues if you'd so desire, but I don't think that's necessary.

Thanks for the reply! I'll reclose this again.